Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158878 - CAN-2005-1265 Prevent NULL mmap in topdown model
Summary: CAN-2005-1265 Prevent NULL mmap in topdown model
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Rik van Riel
QA Contact: Brian Brock
URL:
Whiteboard: public=20050519,impact=important,sour...
Depends On:
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-05-26 14:39 UTC by Mark J. Cox
Modified: 2007-11-30 22:07 UTC (History)
4 users (show)

Fixed In Version: RHSA-2005-514
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 13:17:39 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:514 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 2 2005-10-05 04:00:00 UTC

Description Mark J. Cox 2005-05-26 14:39:21 UTC
Chris wright reported a problem with the topdown allocator.  This issue is
believed to allow a crash, but not result in gaining privileges (most likely due
to the BUG() cases added to 2.6 after a previous exploit).  

We didn't check RHEL4 specifically to determine if this issue affect our shipped
version.   More details see

http://marc.theaimsgroup.com/?l=bk-commits-head&m=111651913006107
    
http://www.kernel.org/git/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=07ab67c8d0d7c1021343b7d5c045033d6bf7be69

Comment 2 Rik van Riel 2005-07-11 21:26:40 UTC
I just submitted a patch.

Comment 9 Red Hat Bugzilla 2005-10-05 13:17:40 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-514.html



Note You need to log in before you can comment on or make changes to this bug.